/* JFox, the OpenSource J2EE Application Server
 *
 * Copyright (C) 2002 huihoo.org
 * Distributable under GNU LGPL license
 * See the GNU Lesser General Public License for more details.
 */

package org.huihoo.jfox.pool.thread;

import org.huihoo.jfox.pool.ObjectPool;

/**
 * a thread test wrap the Threadable tast
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

class ThreadTask {
  private Threadable task = null;
  private ObjectPool pool = null;

  public ThreadTask(Threadable task, ObjectPool pool) {
    this.task = task;
    this.pool = pool;
  }

  Threadable getTask(){
    return task;
  }

  public ObjectPool getPool() {
    return pool;
  }
}
